<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
// ================================================================
// ersetzt zu zensierende woerter durch den platzhalter
// ================================================================
function badwordreplace($param)
{
	global $db;
    $sql = $GLOBALS['db']->Query("SELECT Spamwoerter,SpamRegEx FROM " . PREFIX . "_einstellungen");
    $row = $sql->fetchrow();

    $baw = $row->Spamwoerter;
    if($baw != '')
	{
		$baw = str_replace(array("\r\n", "\n"), ",", $baw);
		$baw = trim($baw);
	
		$bwrp = $row->SpamRegEx;
		if (!$row->SpamRegEx) $bwrp = "***";
	
		$bwarray = explode(",", $baw);
		if ($baw) {
			while (list($key, $val) = each($bwarray)) {
				$param = @eregi_replace("$val", $bwrp, $param);
			} 
		} 
	}
    return $param;
}
?>